# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-walkdir
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-module-walkdir
Version:        0.3
Release:        alt1_2
Summary:        Python module to manipulate and filter os.walk() style iteration

Group:          Development/Python
License:        BSD
URL:            http://walkdir.readthedocs.org/
Source0:        http://pypi.python.org/packages/source/w/walkdir/walkdir-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel python-module-setuptools
Source44: import.info

%description
walkdir is a simple set of iterator tools intended to 
make it easy to manipulate and filter the output of os.walk() 
in a way that is also easily applicable to any source iterator 
that produces data in the same format

%prep
%setup -q -n walkdir-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc LICENSE.txt
# For noarch packages: sitelib
%{python_sitelibdir_noarch}/walkdir*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_2
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_1
- initial fc import

